BM_0149A:	; Y2K bugged date conversion
conv_TOS_date_to_SET_date:
	movem.l	d3-d4/a3-a6,-(a7)
	lea	-$000C(a7),a7
	move	d0,d3
	movea.l	a0,a6
	move	d1,d4
	move.b	#$30,(a7)
	lea	$0006(a7),a3			; a3 -> year int
	lea	$0008(a7),a4
	lea	$000A(a7),a5
	pea	(a3)
	movea.l	a4,a1
	movea.l	a5,a0
	move	d3,d0
	bsr.w	conv_TOS_date_to_realdate
	addq	#4,a7
;;;orig:	subi	#$076C,(a3)			; (a3) -= 1900
;;;orig:	move	d4,d0
	jsr	Y2K_fix1_sub
	subq	#1,d0
	beq.s	L014D6
	subq	#1,d0
	beq.s	L014E2
	bra.s	L014EC

;next label is L014D6:
